import { Box, Typography } from "@mui/material";
import { FC } from "react";

interface CardItemTourProprs {
  title: string;
  text: string;
  image: string;
}

export const CardItemTour: FC<CardItemTourProprs> = ({ title, text, image }) => (
  <Box
    sx={{
      padding: "80px 10px",
      display: "flex",
      flexWrap: "wrap",
      justifyContent: "space-between",
      gap: "20px",
      width: "100%",
    }}
  >
    <Box
      sx={{
        display: "flex",
        flexDirection: "column",
        gap: "20px",
        background: "none",
        maxWidth: "450px",
      }}
    >
      <Typography variant="h4" sx={{ fontSize: "20px", fontWeight: "500", lineHeight: "24px" }}>
        {title}
      </Typography>
      <Typography variant="h5" sx={{ fontSize: "18px", fontWeight: "400", lineHeight: "21px" }}>
        {text}
      </Typography>
    </Box>
    <img
      style={{
        width: "100%",
        borderRadius: "12px",
        maxWidth: "560px",
        boxShadow:
          "0px 100px 309px rgba(210, 208, 225, 0.24), 0px 41.7776px 129.093px rgba(210, 208, 225, 0.172525), 0px 22.3363px 69.0192px rgba(210, 208, 225, 0.143066), 0px 12.5216px 38.6916px rgba(210, 208, 225, 0.12), 0px 6.6501px 20.5488px rgba(210, 208, 225, 0.0969343), 0px 2.76726px 8.55082px rgba(210, 208, 225, 0.0674749)",
      }}
      src={image}
      alt={image}
    />
  </Box>
);
