import { Box, Typography, styled } from "@mui/material";
import { FC } from "react";
import { Square } from "./Squre";

interface TariffProps {
  icon: string;
  caption: string;
  text: string;
}

export const Tariff: FC<TariffProps> = ({ icon, caption, text }) => {
  const BoxCard = styled("div")(({ theme }) => ({
    [theme.breakpoints.down(730)]: {
      width: "100%",
    },
  }));

  return (
    <BoxCard
      sx={{
        width: "360px",
        height: "260px",
        backgroundColor: "#ffffff",
        borderRadius: "12px",
        padding: "20px",
        marginBottom: "10px",
        boxShadow: `0px 100px 309px rgba(210, 208, 225, 0.24), 
                              0px 41.7776px 129.093px rgba(210, 208, 225, 0.172525), 
                              0px 22.3363px 69.0192px rgba(210, 208, 225, 0.143066), 
                              0px 12.5216px 38.6916px rgba(210, 208, 225, 0.12), 
                              0px 6.6501px 20.5488px rgba(210, 208, 225, 0.0969343), 
                              0px 2.76726px 8.55082px rgba(210, 208, 225, 0.0674749)`,
      }}
    >
      <Box sx={{ height: "50%" }}>
        <Square
          sx={{
            width: "36px",
            height: "36px",
            backgroundColor: "#7E2AEA",
            borderRadius: "6px",
            backgroundSize: "70%",
            backgroundPosition: "center",
            backgroundRepeat: "no-repeat",
          }}
          pic={icon}
        />

        <Typography
          sx={{
            marginTop: "10px",
            fontSize: "24px",
            fontWeight: "500",
          }}
        >
          {caption}
        </Typography>
        <Typography
          sx={{
            marginTop: "10px",
            fontSize: "18px",
            fontWeight: "400",
            lineHeight: "21.3px",
            color: "#4D4D4D",
          }}
        >
          {text}
        </Typography>
      </Box>
      <Box sx={{ height: "50%" }}>
        <Box
          sx={{
            width: "180px",
            height: "44px",
            padding: "8px 40px 10px 40px",
            border: "1px solid #7E2AEA",
            color: "#7E2AEA",
            borderRadius: "5px",
            fontSize: "18px",
            fontWeight: "400",
            cursor: "pointer",
            marginTop: "60px",
          }}
        >
          Подробнее
        </Box>
      </Box>
    </BoxCard>
  );
};
